Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category:
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
Operative System: Linux Add-on resolve build:
Has patch: No Hito:
Add-on name: Unknown
Description

ESP - Se borra la información al renombrar columna
Pasos
1.- Abrir gvSIG
2.- Abrir TABLA
3.- Abrir concejos.navarra.dbf (http://downloads.gvsig.org/download/geodata/tables/DBF/)
4.- Seleccionar una columna
5.- Menú Tabla/Renombrar Columna
6.- Cambiar el nombre de la columna y desaparece la información

ENG - Information deleted when renaming column
Steps
1.- Open gvSIG
2.- Open TABLE
3.- Open concejos.navarra.dbf (http://downloads.gvsig.org/download/geodata/tables/DBF/)
4.- Select a field
5.- Go to Menu Table/Rename Column
6.- Rename column and the information desappears

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 1442: The position of a ... Closed 12/03/2012

History
#1 - 10/16/2012 04:23 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#2 - 10/17/2012 01:51 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

gvsig-desktop:r39071

Fixed renaming of field: duplicate field, copy value and delete old field.

#3 - 11/09/2012 02:33 PM - María Maluenda
- Status changed from Fixed to New

Si renombras un campo de tipo string (Iniciar Edición de la tabla, seleccionar campo toponimia_e y clic en el botón renombrar campo),  por el nombre
toponimia_esp. En primer lugar aparece un error, pero modifica el nombre del campo por toponimia_esp. Si intentas modificar una segunda vez el
nombre del campo, toponimia_esp, por otro nombre, borra todos los registros del campo y cierra la edición guardando cambios. 
Si renombras un campo de tipo integer, concejos por ejemplo, modifica el nombre del campo y cierra automáticamente la edición, guardando
cambios.

#4 - 11/12/2012 10:40 AM - Juan Lucas Domínguez
- Status changed from New to Fixed

Added dialog to tell user that field name is too long.

gvsig-desktop:r39207

Test: the steps described should now work (there is message to tell user that field name is too long).

Currently, we need to close editing (as dialog says) to prevent inconsistencies. This could be added as a feature request ("do not force closing of
editing session when renaming field")

#5 - 11/12/2012 10:46 AM - Juan Lucas Domínguez

Process in two steps to allow going back to initial situation.

gvsig-desktop:r39208

Test: the steps described should now work (there is message to tell user that field name is too long).

Currently, we need to close editing (as dialog says) to prevent inconsistencies. This could be added as a feature request ("do not force closing of
editing session when renaming field")

#6 - 11/27/2012 02:10 PM - Vicent Domenech
- Status changed from Fixed to Closed

Closed with gvSIG build 2060

#7 - 12/03/2012 01:56 PM - Vicent Domenech

Closed using gvSIG build 2060 (RC1)
